{% extends "base.html" %}

{% block content %}
    <div>
        <h1>My Projects</h1>
        <p>
            <a href="{% url "create_project" %}">Create a new project</a>
        </p>
        {% if not projects.exists %}
            <p>You are not assigned to any projects</p>
        {% else %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
                    {% for project in projects %}
                        <tr>
                            <td>
                                <a href="{% url "show_project" project.id %}">{{ project.name }}</a>
                            </td>
                            <td>{{ project.tasks.all|length }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% endif %}
    </div>
{% endblock content %}
